### Method

# EDataServer SourceProxy set_socks_port

since: 3.12

#### Declaration [src]

    void
    e_source_proxy_set_socks_port (
      ESourceProxy* extension,
      guint16 socks_port
    )

#### Description [src]

Sets the port on the machine defined by `ESourceProxy:socks-host` to proxy through when `extension`‘s `ESourceProxy:method` is `E_PROXY_METHOD_MANUAL`.

Available since: 3.12

Sets property | `EDataServer.SourceProxy:socks-port`

#### Parameters

`socks_port`

  Type: `guint16`

  SOCKS proxy port.